1
0 8
1 9 12
0 6 5
97
92
145
80
148
1 6 6
111
78
144
122
95
118
2 6 3
75
83
100
3 6 4
109
94
138
129
4 6 3
137
77
91
5 8 10
279
287
256
295
230
263
297
299
241
233
6 7 8
67
15
6
71
73
17
53
35
7 7 7
59
31
9
43
13
42
63
8 10 8
220
218
222
154
175
173
150
152
9 10 3
174
187
169
10 10 4
155
182
197
206
11 10 5
172
215
210
161
219
2 9 12
12 6 3
110
108
89
13 6 4
76
127
114
146
14 6 5
82
119
125
102
133
15 6 3
79
113
149
16 8 2
261
228
17 5 9
308
373
312
301
329
370
349
311
302
18 7 4
65
23
37
52
19 7 5
20
12
29
8
1
20 7 2
16
7
21 10 3
223
151
199
22 10 3
195
170
194
23 10 2
168
171
3 9 12
24 6 3
107
93
123
25 6 6
81
104
132
121
96
90
26 6 3
88
120
98
27 8 4
268
294
227
267
28 8 6
290
272
247
286
238
257
29 5 3
300
330
372
30 5 4
351
348
316
338
31 10 5
203
209
157
196
178
32 10 3
159
217
208
33 10 2
180
167
34 10 4
190
160
201
214
35 10 4
185
156
211
183
4 9 13
36 6 3
112
103
101
37 8 3
237
275
269
38 8 2
266
274
39 8 6
244
239
296
284
225
289
40 8 4
292
298
291
232
41 8 3
277
229
249
42 5 5
334
335
325
321
303
43 5 5
358
315
339
347
319
44 5 5
336
366
337
354
314
45 7 4
10
22
51
34
46 7 3
11
38
61
47 7 3
5
49
39
48 10 3
184
200
202
5 9 13
49 6 1
115
50 6 3
105
136
143
51 6 1
84
52 8 1
234
53 8 3
280
252
226
54 8 2
270
254
55 5 3
332
309
365
56 5 3
324
345
344
57 5 5
350
326
374
310
355
58 10 3
192
221
166
59 10 2
205
163
60 10 2
188
193
61 10 3
153
204
198
6 9 14
62 6 4
130
126
140
116
63 8 2
262
250
64 8 3
248
245
281
65 8 3
282
265
235
66 5 2
369
304
67 5 3
317
361
331
68 5 3
342
318
363
69 7 2
0
50
70 7 5
27
68
74
18
40
71 7 5
26
47
72
41
70
72 7 4
32
25
48
4
73 7 5
30
69
64
24
36
74 10 3
213
207
181
75 10 1
179
7 9 13
76 6 2
142
134
77 6 2
87
128
78 8 3
246
258
273
79 8 5
288
283
278
243
255
80 8 2
236
253
81 8 2
240
260
82 8 3
285
264
293
83 5 5
359
371
368
364
327
84 5 5
341
353
357
346
307
85 7 8
57
45
62
55
46
60
2
58
86 10 1
164
87 10 3
165
176
224
88 10 1
177
8 9 15
89 6 3
117
85
139
90 6 4
131
135
106
141
91 6 4
147
86
99
124
92 8 2
276
231
93 8 4
242
251
259
271
94 5 2
362
322
95 5 5
352
320
306
360
367
96 5 2
305
323
97 5 2
343
340
98 5 4
328
313
333
356
99 7 2
19
3
100 7 5
54
66
14
56
28
101 7 3
44
33
21
102 10 3
162
212
189
103 10 4
158
186
216
191
